import 'package:get/get.dart';

import '../modules/kr_language_selector/bindings/kr_language_selector_binding.dart';
import '../modules/kr_language_selector/views/kr_language_selector_view.dart';
import '../modules/kr_country_selector/bindings/kr_country_selector_binding.dart';
import '../modules/kr_country_selector/views/kr_country_selector_view.dart';
import '../modules/kr_crisp_chat/bindings/kr_crisp_binding.dart';
import '../modules/kr_crisp_chat/views/kr_crisp_view.dart';
import '../modules/kr_delete_account/bindings/kr_delete_account_binding.dart';
import '../modules/kr_delete_account/views/kr_delete_account_view.dart';
import '../modules/kr_home/bindings/kr_home_binding.dart';
import '../modules/kr_home/views/kr_home_view.dart';
import '../modules/kr_invite/bindings/kr_invite_binding.dart';
import '../modules/kr_invite/views/kr_invite_view.dart';
import '../modules/kr_login/bindings/kr_login_binding.dart';
import '../modules/kr_login/views/kr_login_view.dart';
import '../modules/kr_main/bindings/kr_main_binding.dart';
import '../modules/kr_main/views/kr_main_view.dart';
import '../modules/kr_message/bindings/kr_message_binding.dart';
import '../modules/kr_message/views/kr_message_view.dart';
import '../modules/kr_purchase_membership/bindings/kr_purchase_membership_binding.dart';
import '../modules/kr_purchase_membership/views/kr_purchase_membership_view.dart';
import '../modules/kr_setting/bindings/kr_setting_binding.dart';
import '../modules/kr_setting/views/kr_setting_view.dart';
import '../modules/kr_statistics/bindings/kr_statistics_binding.dart';
import '../modules/kr_statistics/views/kr_statistics_view.dart';
import '../modules/kr_user_info/bindings/kr_user_info_binding.dart';
import '../modules/kr_user_info/views/kr_user_info_view.dart';
import '../modules/kr_webview/bindings/kr_webview_binding.dart';
import '../modules/kr_webview/views/kr_webview_view.dart';
import '../modules/kr_order_status/bindings/kr_order_status_binding.dart';
import '../modules/kr_order_status/views/kr_order_status_view.dart';
import '../modules/kr_splash/bindings/kr_splash_binding.dart';
import '../modules/kr_splash/views/kr_splash_view.dart';

part 'app_routes.dart';

class AppPages {
  AppPages._();

  static const INITIAL = Routes.KR_SPLASH;

  static final routes = [
    GetPage(
      name: Routes.KR_SPLASH,
      page: () => const KRSplashView(),
      binding: KRSplashBinding(),
    ),
    GetPage(
      name: _Paths.KR_MAIN,
      page: () => const KRMainView(),
      binding: KRMainBinding(),
    ),
    GetPage(
      name: _Paths.KR_HOME,
      page: () => const KRHomeView(),
      binding: KRHomeBinding(),
    ),
    GetPage(
      name: _Paths.MR_LOGIN,
      page: () => const KRLoginView(),
      binding: MrLoginBinding(),
    ),
    GetPage(
      name: _Paths.KR_SETTING,
      page: () => const KRSettingView(),
      binding: KRSettingBinding(),
    ),
    GetPage(
      name: _Paths.KR_USER_INFO,
      page: () => const KRUserInfoView(),
      binding: KRUserInfoBinding(),
    ),
    GetPage(
      name: _Paths.KR_INVITE,
      page: () => const KRInviteView(),
      binding: KRInviteBinding(),
    ),
    GetPage(
      name: _Paths.KR_STATISTICS,
      page: () => const KRStatisticsView(),
      binding: KRStatisticsBinding(),
    ),
    GetPage(
      name: _Paths.KR_LANGUAGE_SELECTOR,
      page: () => const KRLanguageSelectorView(),
      binding: KRLanguageSelectorBinding(),
    ),
    GetPage(
      name: _Paths.KR_COUNTRY_SELECTOR,
      page: () => const KRCountrySelectorView(),
      binding: KRCountrySelectorBinding(),
    ),
    GetPage(
      name: _Paths.KR_PURCHASE_MEMBERSHIP,
      page: () => const KRPurchaseMembershipView(),
      binding: KRPurchaseMembershipBinding(),
    ),
    GetPage(
      name: _Paths.KR_MESSAGE,
      page: () => const KRMessageView(),
      binding: KrMessageBinding(),
    ),
    GetPage(
      name: _Paths.KR_DELETE_ACCOUNT,
      page: () => const KRDeleteAccountView(),
      binding: KrDeleteAccountBinding(),
    ),
    GetPage(
      name: Routes.KR_WEBVIEW,
      page: () => const KRWebView(),
      binding: KRWebViewBinding(),
    ),
    GetPage(
      name: Routes.KR_ORDER_STATUS,
      page: () => const KROrderStatusView(),
      binding: KROrderStatusBinding(),
    ),
    GetPage(
      name: _Paths.KR_CRISP,
      page: () => const KRCrispView(),
      binding: KRCrispBinding(),
    ),
  ];
}
